> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# List report-card courses

GET https://ssuccessv2.com/app/api/v1/courses

Returns the school's courses with their subjects, audiences, teachers, and academic-year labels.

Reference: https://docs.schoolset.io/api-reference/school-set-api/courses/list-courses

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Response

### 200

Course list.

- `status` (string, optional)
- `message` (string, optional)
- `data` (list of ApiV1CoursesGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Errors

### 401 Unauthorized Error

Authentication required.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 403 Forbidden Error

The user cannot view subjects and courses.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

## Types

### ApiV1CoursesGetResponsesContentApplicationJsonSchemaDataItems

- `id` (integer, optional)
- `subject_id` (integer, optional)
- `name` (string, optional)
- `active` (boolean, optional)
- `sort_order` (integer, optional)
- `period_length_minutes` (integer, optional)
- `times_per_week` (integer, optional)
- `duration_weeks` (integer, optional)
- `subject_name` (string, optional, nullable)
- `subject_path` (string, optional, nullable)
- `audiences` (list of map from string to any, optional)
- `teachers` (list of map from string to any, optional)

## Examples

**Response**

```json
{
  "status": "success",
  "message": "",
  "data": [
    {
      "id": 18,
      "subject_id": 4,
      "name": "Algebra I",
      "active": true,
      "sort_order": 1,
      "period_length_minutes": 45,
      "times_per_week": 5,
      "duration_weeks": 36,
      "subject_name": "Mathematics",
      "subject_path": "Mathematics / Algebra",
      "audiences": [
        {
          "id": 71,
          "year_id": 2025,
          "year_name": "2025-2026",
          "audience_type": "grade",
          "audience_id": 9,
          "audience_name": "Grade 9"
        }
      ],
      "teachers": [
        {
          "id": 88,
          "year_id": 2025,
          "year_name": "2025-2026",
          "staff_member_id": 33,
          "staff_member_name": "Jordan Lee"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python Courses_listCourses_example
import requests

url = "https://ssuccessv2.com/app/api/v1/courses"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Courses_listCourses_example
const url = 'https://ssuccessv2.com/app/api/v1/courses';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Courses_listCourses_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/courses"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Courses_listCourses_example
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/courses")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Courses_listCourses_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://ssuccessv2.com/app/api/v1/courses")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Courses_listCourses_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://ssuccessv2.com/app/api/v1/courses', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Courses_listCourses_example
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/courses");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Courses_listCourses_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/courses")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```